Page MenuHomePhabricator

Unbreak build on OpenBSD
ClosedPublic

Authored by sisnkemp on Nov 2 2015, 7:45 AM.

Details

Summary

This is similar to the fix for FreeBSD in r226862. Without this patch, the build aborts when linkling libLTO.so, complaining about undefined references to assert2, cxa_atexit, etc.

Diff Detail

Event Timeline

sisnkemp updated this revision to Diff 38924.Nov 2 2015, 7:45 AM
sisnkemp retitled this revision from to Unbreak build on OpenBSD.
sisnkemp updated this object.
sisnkemp added a subscriber: llvm-commits.

Ping. If it is ok, can somebody please commit this? Thanks.

sisnkemp updated this revision to Diff 40229.Nov 15 2015, 1:15 AM
yaron.keren accepted this revision.Nov 20 2015, 10:47 PM
yaron.keren edited edge metadata.

r253769

This revision is now accepted and ready to land.Nov 20 2015, 10:47 PM
yaron.keren closed this revision.Nov 20 2015, 10:47 PM